local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)
	
--Glock 22c tweak 
self.g22c.auto = {}
self.g22c.auto.fire_rate = 0.00
self.g22c.sounds.fire_single = "g22_fire"
self.g22c.sounds.fire_auto = "g22_fire"
self.x_g22c.auto = {}
self.x_g22c.auto.fire_rate = 0.00
self.x_g22c.sounds.fire_single = "g22_fire"
self.x_g22c.sounds.fire_auto = "g22_fire"
self.x_g22c.weapon_hold = "x_sr2" 

--Glock 26 tweak 
self.g26.auto = {}
self.g26.auto.fire_rate = 0.00
self.g26.sounds.fire_single = "g17_fire"
self.g26.sounds.fire_auto = "g17_fire"
self.jowi.auto = {}
self.jowi.auto.fire_rate = 0.00
self.jowi.sounds.fire_single = "g17_fire"
self.jowi.sounds.fire_auto = "g17_fire"
self.jowi.weapon_hold = "x_sr2" 

--Glock 17 tweak 
self.glock_17.auto = {}
self.glock_17.auto.fire_rate = 0.00
self.glock_17.sounds.fire_single = "g17_fire"
self.glock_17.sounds.fire_auto = "g17_fire"
self.x_g17.auto = {}
self.x_g17.auto.fire_rate = 0.00
self.x_g17.sounds.fire_single = "g17_fire"
self.x_g17.sounds.fire_auto = "g17_fire"
self.x_g17.weapon_hold = "x_sr2"  

--M1911 tweak
self.colt_1911.auto = {}
self.colt_1911.auto.fire_rate = 0.00
self.colt_1911.fire_mode_data.fire_rate = 0.100
self.colt_1911.sounds.fire_single = "c45_fire"
self.colt_1911.sounds.fire_auto = "c45_fire"
self.colt_1911.weapon_hold = "glock"
self.x_1911.auto = {}
self.x_1911.auto.fire_rate = 0.00
self.x_1911.fire_mode_data.fire_rate = 0.100
self.x_1911.sounds.fire_single = "c45_fire"
self.x_1911.sounds.fire_auto = "c45_fire"
self.x_1911.weapon_hold = "x_sr2"

--XM25 tweak
self.arbiter.auto = {}
self.arbiter.auto.fire_rate = 0.00
self.arbiter.sounds.fire_single = "gl40_fire"
self.arbiter.sounds.fire_auto = "gl40_fire"


--Springfield XD tweak
self.hs2000.auto = {}
self.hs2000.auto.fire_rate = 0.00
self.hs2000.fire_mode_data.fire_rate = 0.110
self.hs2000.sounds.fire_single = "p226r_fire"
self.hs2000.sounds.fire_auto = "p226r_fire"


--Beretta 92FS tweak
self.b92fs.auto = {}
self.b92fs.auto.fire_rate = 0.00
self.b92fs.fire_mode_data.fire_rate = 0.090
self.b92fs.sounds.fire_single = "beretta_fire"
self.b92fs.sounds.fire_auto = "beretta_fire"
self.x_b92fs.auto = {}
self.x_b92fs.auto.fire_rate = 0.00
self.x_b92fs.fire_mode_data.fire_rate = 0.090
self.x_b92fs.sounds.fire_single = "beretta_fire"
self.x_b92fs.sounds.fire_auto = "beretta_fire"
self.x_b92fs.weapon_hold = "x_sr2"  

--M1014 tweak
self.benelli.auto = {}
self.benelli.auto.fire_rate = 0.00
self.benelli.sounds.fire_single = "benelli_m4_fire"
self.benelli.sounds.fire_auto = "benelli_m4_fire"


--spas 12 tweak
self.spas12.auto = {}
self.spas12.auto.fire_rate = 0.00
self.spas12.sounds.fire_single = "spas_fire"
self.spas12.sounds.fire_auto = "spas_fire"



end